Bug 8746 - cannot copy from encrypted archive
: cannot copy from encrypted archive
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mc)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-12-27 16:14 by
Modified: 2008-08-10 00:48 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-12-27 16:14:31
Имеем запороленный архив. Проверено на zip и rar. Заходим в него (макрос %cd) 
и пытаемся скопировать файлы. В результате имеем повисший процесс 
разархивирования, возможно там появляется вопрос про ввод пароля, но на экране 
он не появляется.
------- Comment #1 From 2005-12-27 19:01:38 -------
Подтверждаю, нарывался.
------- Comment #2 From 2006-04-21 10:00:03 -------
Боюсь, это WONTFIX -- насколько помню, скрипты mcextfs не предусматривают
интерактивности.  А таймаут на время ударит другим (и менее очевидным) концом.
------- Comment #3 From 2007-04-01 21:32:37 -------
...и фичреквест (всё равно WONTFIX).  Насколько помню mc extfs, "красивой"
возможности спросить пароль всё равно не будет; предлагаю использовать xarchive
или xarchiver, один из них точно умеет.
------- Comment #4 From 2008-08-10 00:48:20 -------
Сейчас копируются с ключом -p-, т.е. прямо шифрованными. Зато не виснет.